List prior-auth requests
curl --request GET \
--url https://api.healos.ai/ext-api/v1/prior-auth/requests \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.healos.ai/ext-api/v1/prior-auth/requests"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.healos.ai/ext-api/v1/prior-auth/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.healos.ai/ext-api/v1/prior-auth/requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.healos.ai/ext-api/v1/prior-auth/requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.healos.ai/ext-api/v1/prior-auth/requests")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.healos.ai/ext-api/v1/prior-auth/requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "5b0e3c1a-2f4d-4c1e-9a43-0d7e1b2c3a4f",
"track": "covermymeds",
"status": "in_progress",
"raw_status": "draft_saved",
"decision": "pending",
"decision_checked_at": "2026-10-22T14:05:00.000Z",
"payer": "Aetna",
"drug_name": "Ozempic 0.5 mg",
"diagnosis_code": "E11.9",
"portal_ref": "BMK7QX2",
"authorization_id": "<string>",
"effective_date": "<string>",
"expiration_date": "<string>",
"ehr_patient_id": "140737488355328",
"workflow_id": "<string>",
"created_at": "2026-10-22T14:05:00.000Z",
"updated_at": "2026-10-22T14:05:00.000Z"
}
],
"meta": {
"page": 123,
"limit": 123,
"total_pages": 123
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "Rate limit exceeded. Please retry after the window resets."
}Prior Auth
List prior-auth requests
Both tracks (CoverMyMeds medications and Availity procedures), newest change first. Covers the 500 most recently changed requests per track; pass updated_since to sync incrementally.
GET
/
prior-auth
/
requests
List prior-auth requests
curl --request GET \
--url https://api.healos.ai/ext-api/v1/prior-auth/requests \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.healos.ai/ext-api/v1/prior-auth/requests"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.healos.ai/ext-api/v1/prior-auth/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.healos.ai/ext-api/v1/prior-auth/requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.healos.ai/ext-api/v1/prior-auth/requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.healos.ai/ext-api/v1/prior-auth/requests")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.healos.ai/ext-api/v1/prior-auth/requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "5b0e3c1a-2f4d-4c1e-9a43-0d7e1b2c3a4f",
"track": "covermymeds",
"status": "in_progress",
"raw_status": "draft_saved",
"decision": "pending",
"decision_checked_at": "2026-10-22T14:05:00.000Z",
"payer": "Aetna",
"drug_name": "Ozempic 0.5 mg",
"diagnosis_code": "E11.9",
"portal_ref": "BMK7QX2",
"authorization_id": "<string>",
"effective_date": "<string>",
"expiration_date": "<string>",
"ehr_patient_id": "140737488355328",
"workflow_id": "<string>",
"created_at": "2026-10-22T14:05:00.000Z",
"updated_at": "2026-10-22T14:05:00.000Z"
}
],
"meta": {
"page": 123,
"limit": 123,
"total_pages": 123
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "Rate limit exceeded. Please retry after the window resets."
}Authorizations
API key obtained from /api/v1/ext-api-keys
Query Parameters
Example:
"1"
Example:
"20"
Available options:
covermymeds, availity Available options:
in_progress, needs_review, ready_for_person, submitted, needs_attention, failed, unknown Available options:
pending, approved, denied, cancelled, closed Only requests changed at or after this time (ISO 8601). Use it to sync incrementally.
Example:
"2026-10-01T00:00:00Z"
Was this page helpful?

